AT&T Holiday Deals & Gifts - Don't miss these holiday deals on the latest devices!
Protect yourself online
T

New Member

 • 

4 Messages

Sun, Nov 15, 2020 2:14 PM

macOS Big Sur Issues with AT&T Internet Security Suite - Need McAfee Version 4.10

This is a problem that AT&T should address immediately. Updating macOS to the newly released Big Sur has rendered AT&T Internet Security Suite incompatible.

The main issue is that AT&T is not offering version 4.10 which is available and that McAfee states as the fixed/compatible security suite for Big Sur. 

AT&T should take note of this and link customers to the correct McAfee/AT&T version (4.10) of the Internet Security Suite instead of version 4.9.

Accepted Solution

Official Solution

New Member

 • 

4 Messages

2 years ago

Update:  I can confirm that the latest attempt to uninstall, redownload of McAfee Internet Security Suite via AT&T's site, and installation successfully installs version 4.10. The only lingering issue is no longer with AT&T but with McAfee to provide an update that enables the McAfee firewall. For the time being, enabling the native macOS firewall is an option unless you side load an additional firewall yourself.

New Member

 • 

1 Message

2 years ago

Same issue.  At&T should have had this ready to go

New Member

 • 

2 Messages

2 years ago

Its still a problem here, when will they fix it!

New Member

 • 

3 Messages

1 year ago

I am still having problems downloading the Mcafee Security suite.  Is there any fix yet?

Not finding what you're looking for?
New to AT&T Community?
New to the AT&T Community? Start by visiting the Community How-To.
New to the AT&T Community?
Visit the Community How-To.